bennaTrattenitore = {};
function bennaTrattenitore.prerequisitesPresent(specializations) return true; end;
function bennaTrattenitore:load(xmlFile) self.isReset = false; self.isResetTM = false; end;
function bennaTrattenitore:delete() end;
function bennaTrattenitore:mouseEvent(posX, posY, isDown, isUp, button) end;
function bennaTrattenitore:keyEvent(unicode, sym, modifier, isDown) end;
function bennaTrattenitore:update(dt) if self:getIsActiveForInput() and InputBinding.isPressed(InputBinding.active) then self.isResetTM = false; end; end;
function bennaTrattenitore:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function bennaTrattenitore:getSaveAttributesAndNodes(nodeIdent) end;
function bennaTrattenitore:updateTick(dt) if self.currentAttacco == 4 then if self.isResetTM == false then self:playAnimation("telaioMobile", 1); self.isResetTM = true; end; 
	if self.isReset == false then self:playAnimation("tubiIdraulici", -1); self:playAnimation("telaioMobile", 1); self.isReset = true; end; end; end;
function bennaTrattenitore:draw() end;
function bennaTrattenitore:onAttach(attacherVehicle, jointDescIndex) self.isReset = false; self:playAnimation("tubiIdraulici", 1); end;
function bennaTrattenitore:onDetach() self:playAnimation("tubiIdraulici", -1); end;
function bennaTrattenitore:onDeactivate() end;